=== modified file 'grackle/client.py'
--- grackle/client.py	2012-01-10 14:41:33 +0000
+++ grackle/client.py	2012-01-10 15:36:31 +0000
@@ -1,10 +1,4 @@
 import httplib
-from urlparse import urlunparse
-from urllib import quote
-
-
-def message_path(archive_name, message_id):
-    return '/%s/%s' % (quote(archive_name), quote(message_id))
 
 
 class GrackleClient:
@@ -13,15 +7,9 @@
         self.host = host
         self.port = port
 
-    def message_url(self, archive_name, message_id):
-        netloc = '%s:%d' % (self.host, self.port)
-        path = message_path(archive_name, message_id)
-        return urlunparse(('http', netloc, path, '', '', ''))
-
-    def put_message(self, archive_name, message_id, file_obj):
-        url = self.message_url(archive_name, message_id)
+    def put_message(self, archive_name, permalink, file_obj):
         connection = httplib.HTTPConnection(self.host, self.port)
-        connection.request('PUT', url, file_obj.read())
+        connection.request('PUT', permalink, file_obj.read())
         response = connection.getresponse()
         data = response.read()
         if response.status == httplib.BAD_REQUEST:

=== modified file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-10 14:44:37 +0000
+++ grackle/tests/test_client.py	2012-01-10 15:36:31 +0000
@@ -12,7 +12,6 @@
 
 from grackle.client import (
     GrackleClient,
-    message_path,
     )
 
 
@@ -62,9 +61,3 @@
             with ExpectedException(Exception, 'wtf'):
                 client.put_message('arch1', 'asdf',
                     StringIO('This is not a message'))
-
-
-class TestMessagePath(TestCase):
-
-    def test_message_path(self):
-        self.assertEqual('/my%20/%3C', message_path('my ', '<'))

